package com.ibm.eis.mdrr.testregistration;

import org.apache.xalan.extensions.XSLProcessorContext;
import org.apache.xalan.templates.ElemExtensionCall;
import org.w3c.dom.traversal.NodeIterator;

public class CMDBfRegistrationHandler {
	
	public static final String REGISTRATION_HANDLER_PROPERTY = "foo";
	
	private ICMDBfRegistrationHandler _registrationHandler = null;
	
	public void initialize(XSLProcessorContext context, ElemExtensionCall extElem) {
		_registrationHandler = (ICMDBfRegistrationHandler) context.getTransformer().getParameter(REGISTRATION_HANDLER_PROPERTY);
		initialize();
	}
	
	public void finalize(XSLProcessorContext context, ElemExtensionCall extElem) {
		finish();
	}

	private ICMDBfRegistrationHandler getHandler() {
		return _registrationHandler;
	}
	
	public void initialize() {
		getHandler().initialize();
	}
	
	public void finish() {
		getHandler().finish();
	}
	
	public String registerItem(NodeIterator records, InstanceId itemId) {
		return getHandler().registerItem(records, itemId);
	}

	public String registerRelationship(NodeIterator records, InstanceId sourceId, InstanceId targetId, InstanceId relationshipId) {
		return getHandler().registerRelationship(records, sourceId, targetId, relationshipId);
	}

	public String deregisterItem(InstanceId instanceId) {
		return getHandler().deregisterItem(instanceId);
	}

	public String deregisterRelationship(InstanceId instanceId) {
		return getHandler().deregisterRelationship(instanceId);
	}
}
