package com.ibm.eis.mdrr.testregistration;

import java.io.ByteArrayOutputStream;
import java.io.StringReader;

import javax.xml.transform.Source;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;


public class RegistrationTest {	
	public static final String registerRequest =
		"<cmdbf:registerRequest xmlns:cmdbf='http://cmdbf.org/schema/1-0-0/datamodel'>" + "\n" +
		"  <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"  <cmdbf:itemList>" + "\n" +
		"    <cmdbf:item>" + "\n" +
		"      <cmdbf:record xmlns:cdm='http://www.ibm.com/xmlns/swg/cdm' >" + "\n" +
		"        <WSPortType xmlns='urn:www-collation-com:1.0' xmlns:coll='urn:www-collation-com:1.0' xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:type='coll:com.collation.platform.model.topology.soa.WSPortType'>" + "\n" +
		"          <Namespace>http://ibm.com/sr/test/wsdl/basic.wsdl</Namespace>" + "\n" +
		"          <InterfaceName>basicServices</InterfaceName>" + "\n" +
		"          <Label>{http://ibm.com/sr/test/wsdl/basic.wsdl}basicServices</Label>" + "\n" +
		"          <Description></Description>" + "\n" +
		"        </WSPortType>" + "\n" +
		"        <cmdbf:recordMetadata>" + "\n" +
		"          <cmdbf:recordId>6f03286f-34c9-49f2.8f5e.5a7aab5a5e3d</cmdbf:recordId>" + "\n" +
		"        </cmdbf:recordMetadata>" + "\n" +
		"      </cmdbf:record>" + "\n" +
		"      <cmdbf:instanceId>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>6f03286f-34c9-49f2.8f5e.5a7aab5a5e3d</cmdbf:localId>" + "\n" +
		"      </cmdbf:instanceId>" + "\n" +
		"    </cmdbf:item>" + "\n" +
		"    <cmdbf:item>" + "\n" +
		"      <cmdbf:record xmlns:cdm='http://www.ibm.com/xmlns/swg/cdm' >" + "\n" +
		"        <WebService xmlns='urn:www-collation-com:1.0' xmlns:coll='urn:www-collation-com:1.0' xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:type='coll:com.collation.platform.model.topology.soa.WebService'>" + "\n" +
		"          <Namespace>http://ibm.com/sr/test/wsdl/basic.wsdl</Namespace>" + "\n" +
		"          <Name>basicService</Name>" + "\n" +
		"          <Label>{http://ibm.com/sr/test/wsdl/basic.wsdl}basicService</Label>" + "\n" +
		"          <Description></Description>" + "\n" +
		"        </WebService>" + "\n" +
		"        <cmdbf:recordMetadata>" + "\n" +
		"          <cmdbf:recordId>d6e8d6d6-e83a-4a64.8c22.34284f3422b9</cmdbf:recordId>" + "\n" +
		"        </cmdbf:recordMetadata>" + "\n" +
		"      </cmdbf:record>" + "\n" +
		"      <cmdbf:instanceId>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>d6e8d6d6-e83a-4a64.8c22.34284f3422b9</cmdbf:localId>" + "\n" +
		"      </cmdbf:instanceId>" + "\n" +
		"    </cmdbf:item>" + "\n" +
		"    <cmdbf:item>" + "\n" +
		"      <cmdbf:record xmlns:cdm='http://www.ibm.com/xmlns/swg/cdm' >" + "\n" +
		"        <Repository xmlns='urn:www-collation-com:1.0' xmlns:coll='urn:www-collation-com:1.0' xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:type='coll:com.collation.platform.model.topology.process.Repository'>" + "\n" +
		"          <URI>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</URI>" + "\n" +
		"          <Label>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</Label>" + "\n" +
		"        </Repository>" + "\n" +
		"        <cmdbf:recordMetadata>" + "\n" +
		"          <cmdbf:recordId>a5267da5-2d3b-4ba2.a1b7.fa39f5fab734</cmdbf:recordId>" + "\n" +
		"        </cmdbf:recordMetadata>" + "\n" +
		"      </cmdbf:record>" + "\n" +
		"      <cmdbf:instanceId>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>a5267da5-2d3b-4ba2.a1b7.fa39f5fab734</cmdbf:localId>" + "\n" +
		"      </cmdbf:instanceId>" + "\n" +
		"    </cmdbf:item>" + "\n" +
		"    <cmdbf:item>" + "\n" +
		"      <cmdbf:record xmlns:cdm='http://www.ibm.com/xmlns/swg/cdm' >" + "\n" +
		"        <ManagementSoftwareSystem xmlns='urn:www-collation-com:1.0' xmlns:coll='urn:www-collation-com:1.0' xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:type='coll:com.collation.platform.model.topology.process.ManagementSoftwareSystem'>" + "\n" +
		"          <ManufacturerName>IBM</ManufacturerName>" + "\n" +
		"          <ProductName>IBM WebSphere Service Registry and Repository</ProductName>" + "\n" +
		"          <MSSName>ibm-cdm:///CDMMSS/Hostname=IBM-2C286B013BA.austin.ibm.com,ManufacturerName=IBM+ProductName=IBM WebSphere Service Registry and Repository</MSSName>" + "\n" +
		"          <ProductVersion>6.1</ProductVersion>" + "\n" +
		"          <Hostname>IBM-2C286B013BA.austin.ibm.com</Hostname>" + "\n" +
		"          <Label>IBM-2C286B013BA.austin.ibm.com</Label>" + "\n" +
		"        </ManagementSoftwareSystem>" + "\n" +
		"        <cmdbf:recordMetadata>" + "\n" +
		"          <cmdbf:recordId>4059d340-0467-4708.ae19.de9122de1959</cmdbf:recordId>" + "\n" +
		"        </cmdbf:recordMetadata>" + "\n" +
		"      </cmdbf:record>" + "\n" +
		"      <cmdbf:instanceId>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>4059d340-0467-4708.ae19.de9122de1959</cmdbf:localId>" + "\n" +
		"      </cmdbf:instanceId>" + "\n" +
		"    </cmdbf:item>" + "\n" +
		"    <cmdbf:item>" + "\n" +
		"      <cmdbf:record xmlns:cdm='http://www.ibm.com/xmlns/swg/cdm' >" + "\n" +
		"        <Document xmlns='urn:www-collation-com:1.0' xmlns:coll='urn:www-collation-com:1.0' xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:type='coll:com.collation.platform.model.topology.process.Document'>" + "\n" +
		"          <URI>basic.wsdl</URI>" + "\n" +
		"          <DisplayName>basic.wsdl</DisplayName>" + "\n" +
		"          <Description></Description>" + "\n" +
		"          <Label>basic.wsdl</Label>" + "\n" +
		"          <Content>" + "\n" +
		"<![CDATA[<?xml version='1.0' encoding='UTF-8'?>" + "\n" +
		"<wsdl:definitions targetNamespace='http://ibm.com/sr/test/wsdl/basic.wsdl' xmlns:impl='http://ibm.com/sr/test/wsdl/basic.schema' xmlns:intf='http://ibm.com/sr/test/wsdl/basic.wsdl' xmlns:wsdl='http://schemas.xmlsoap.org/wsdl/' xmlns:wsdlsoap='http://schemas.xmlsoap.org/wsdl/soap/' xmlns:wsi='http://ws-i.org/profiles/basic/1.1/xsd' xmlns:xsd='http://www.w3.org/2001/XMLSchema'>" + "\n" +
		" <wsdl:types>" + "\n" +
		"  <schema targetNamespace='http://ibm.com/sr/test/wsdl/basic.schema' xmlns='http://www.w3.org/2001/XMLSchema' xmlns:wsdl='http://schemas.xmlsoap.org/wsdl/' xmlns:xsd='http://www.w3.org/2001/XMLSchema'>" + "\n" +
		"   <element name='basicRequest'>" + "\n" +
		"    <complexType>" + "\n" +
		"     <sequence>" + "\n" +
		"      <element name='request' type='xsd:string'/>" + "\n" +
		"     </sequence>" + "\n" +
		"    </complexType>" + "\n" +
		"   </element>" + "\n" +
		"   <element name='basicResponse'>" + "\n" +
		"    <complexType>" + "\n" +
		"     <sequence>" + "\n" +
		"      <element name='response' type='xsd:string'/>" + "\n" +
		"     </sequence>" + "\n" +
		"    </complexType>" + "\n" +
		"   </element>" + "\n" +
		"  </schema>" + "\n" +
		" </wsdl:types>" + "\n" +
		"" + "\n" +
		"   <wsdl:message name='basicRequest'>" + "\n" +
		"" + "\n" +
		"      <wsdl:part element='impl:basicRequest' name='parameters'/>" + "\n" +
		"" + "\n" +
		"   </wsdl:message>" + "\n" +
		"" + "\n" +
		"   <wsdl:message name='basicResponse'>" + "\n" +
		"" + "\n" +
		"      <wsdl:part element='impl:basicResponse' name='parameters'/>" + "\n" +
		"" + "\n" +
		"   </wsdl:message>" + "\n" +
		"" + "\n" +
		"   <wsdl:portType name='basicServices'>" + "\n" +
		"" + "\n" +
		"      <wsdl:operation name='basicMessage'>" + "\n" +
		"" + "\n" +
		"         <wsdl:input message='intf:basicRequest' name='basicRequest'/>" + "\n" +
		"" + "\n" +
		"         <wsdl:output message='intf:basicResponse' name='basicResponse'/>" + "\n" +
		"" + "\n" +
		"      </wsdl:operation>" + "\n" +
		"" + "\n" +
		"   </wsdl:portType>" + "\n" +
		"" + "\n" +
		"   <wsdl:binding name='basicSoapBinding' type='intf:basicServices'>" + "\n" +
		"" + "\n" +
		"      <wsdlsoap:binding style='document' transport='http://schemas.xmlsoap.org/soap/http'/>" + "\n" +
		"" + "\n" +
		"      <wsdl:operation name='basicMessage'>" + "\n" +
		"" + "\n" +
		"         <wsdlsoap:operation soapAction=''/>" + "\n" +
		"" + "\n" +
		"         <wsdl:input name='basicRequest'>" + "\n" +
		"" + "\n" +
		"            <wsdlsoap:body use='literal'/>" + "\n" +
		"" + "\n" +
		"         </wsdl:input>" + "\n" +
		"" + "\n" +
		"         <wsdl:output name='basicResponse'>" + "\n" +
		"" + "\n" +
		"            <wsdlsoap:body use='literal'/>" + "\n" +
		"" + "\n" +
		"         </wsdl:output>" + "\n" +
		"" + "\n" +
		"      </wsdl:operation>" + "\n" +
		"" + "\n" +
		"   </wsdl:binding>" + "\n" +
		"" + "\n" +
		"   <wsdl:service name='basicService'>" + "\n" +
		"" + "\n" +
		"      <wsdl:port binding='intf:basicSoapBinding' name='basic'>" + "\n" +
		"" + "\n" +
		"         <wsdlsoap:address location='http://localhost:9080/ibm/sr/test/wsdl/basic'/>" + "\n" +
		"" + "\n" +
		"      </wsdl:port>" + "\n" +
		"" + "\n" +
		"   </wsdl:service>" + "\n" +
		"" + "\n" +
		"</wsdl:definitions>" + "\n" +
		"]]>" + "\n" +
		"          </Content>" + "\n" +
		"          <ContentType>text/xml</ContentType>" + "\n" +
		"        </Document>" + "\n" +
		"        <cmdbf:recordMetadata>" + "\n" +
		"          <cmdbf:recordId>e07e8be0-6160-40ff.bfb0.c23b64c2b0cd</cmdbf:recordId>" + "\n" +
		"        </cmdbf:recordMetadata>" + "\n" +
		"      </cmdbf:record>" + "\n" +
		"      <cmdbf:instanceId>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>e07e8be0-6160-40ff.bfb0.c23b64c2b0cd</cmdbf:localId>" + "\n" +
		"      </cmdbf:instanceId>" + "\n" +
		"    </cmdbf:item>" + "\n" +
		"    <cmdbf:item>" + "\n" +
		"      <cmdbf:record xmlns:cdm='http://www.ibm.com/xmlns/swg/cdm' >" + "\n" +
		"        <WSOperation xmlns='urn:www-collation-com:1.0' xmlns:coll='urn:www-collation-com:1.0' xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:type='coll:com.collation.platform.model.topology.soa.WSOperation'>" + "\n" +
		"          <Namespace>http://ibm.com/sr/test/wsdl/basic.wsdl</Namespace>" + "\n" +
		"          <ActivityName>basicMessage</ActivityName>" + "\n" +
		"          <Label>{http://ibm.com/sr/test/wsdl/basic.wsdl}basicMessage</Label>" + "\n" +
		"          <Description></Description>" + "\n" +
		"        </WSOperation>" + "\n" +
		"        <cmdbf:recordMetadata>" + "\n" +
		"          <cmdbf:recordId>e229dbe2-3319-4908.a376.3a51ac3a761d</cmdbf:recordId>" + "\n" +
		"        </cmdbf:recordMetadata>" + "\n" +
		"      </cmdbf:record>" + "\n" +
		"      <cmdbf:instanceId>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>e229dbe2-3319-4908.a376.3a51ac3a761d</cmdbf:localId>" + "\n" +
		"      </cmdbf:instanceId>" + "\n" +
		"    </cmdbf:item>" + "\n" +
		"    <cmdbf:item>" + "\n" +
		"      <cmdbf:record xmlns:cdm='http://www.ibm.com/xmlns/swg/cdm' >" + "\n" +
		"        <WSPort xmlns='urn:www-collation-com:1.0' xmlns:coll='urn:www-collation-com:1.0' xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:type='coll:com.collation.platform.model.topology.soa.WSPort'>" + "\n" +
		"          <Namespace>http://ibm.com/sr/test/wsdl/basic.wsdl</Namespace>" + "\n" +
		"          <Name>basic</Name>" + "\n" +
		"          <Label>{http://ibm.com/sr/test/wsdl/basic.wsdl}basic</Label>" + "\n" +
		"          <Description></Description>" + "\n" +
		"        </WSPort>" + "\n" +
		"        <cmdbf:recordMetadata>" + "\n" +
		"          <cmdbf:recordId>1f5aab1f-2a32-426f.b264.b6bc3cb664bd</cmdbf:recordId>" + "\n" +
		"        </cmdbf:recordMetadata>" + "\n" +
		"      </cmdbf:record>" + "\n" +
		"      <cmdbf:instanceId>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>1f5aab1f-2a32-426f.b264.b6bc3cb664bd</cmdbf:localId>" + "\n" +
		"      </cmdbf:instanceId>" + "\n" +
		"    </cmdbf:item>" + "\n" +
		"  </cmdbf:itemList>" + "\n" +
		"  <cmdbf:relationshipList>" + "\n" +
		"    <cmdbf:relationship>" + "\n" +
		"      <cmdbf:source>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>6f03286f-34c9-49f2.8f5e.5a7aab5a5e3d</cmdbf:localId>" + "\n" +
		"      </cmdbf:source>" + "\n" +
		"      <cmdbf:target>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>e07e8be0-6160-40ff.bfb0.c23b64c2b0cd</cmdbf:localId>" + "\n" +
		"      </cmdbf:target>" + "\n" +
		"      <cmdbf:record xmlns:cdm='http://www.ibm.com/xmlns/swg/cdm' >" + "\n" +
		"        <definedUsing xmlns='urn:www-collation-com:1.0' xmlns:coll='urn:www-collation-com:1.0' xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:type='coll:com.collation.platform.model.topology.relation.DefinedUsing'/>" + "\n" +
		"        <cmdbf:recordMetadata>" + "\n" +
		"          <cmdbf:recordId>definedUsing*6f03286f-34c9-49f2.8f5e.5a7aab5a5e3d*e07e8be0-6160-40ff.bfb0.c23b64c2b0cd</cmdbf:recordId>" + "\n" +
		"        </cmdbf:recordMetadata>" + "\n" +
		"      </cmdbf:record>" + "\n" +
		"      <cmdbf:instanceId>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>definedUsing*6f03286f-34c9-49f2.8f5e.5a7aab5a5e3d*e07e8be0-6160-40ff.bfb0.c23b64c2b0cd</cmdbf:localId>" + "\n" +
		"      </cmdbf:instanceId>" + "\n" +
		"    </cmdbf:relationship>" + "\n" +
		"    <cmdbf:relationship>" + "\n" +
		"      <cmdbf:source>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>6f03286f-34c9-49f2.8f5e.5a7aab5a5e3d</cmdbf:localId>" + "\n" +
		"      </cmdbf:source>" + "\n" +
		"      <cmdbf:target>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>e229dbe2-3319-4908.a376.3a51ac3a761d</cmdbf:localId>" + "\n" +
		"      </cmdbf:target>" + "\n" +
		"      <cmdbf:record xmlns:cdm='http://www.ibm.com/xmlns/swg/cdm' >" + "\n" +
		"        <federates xmlns='urn:www-collation-com:1.0' xmlns:coll='urn:www-collation-com:1.0' xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:type='coll:com.collation.platform.model.topology.relation.Federates'/>" + "\n" +
		"        <cmdbf:recordMetadata>" + "\n" +
		"          <cmdbf:recordId>federates*6f03286f-34c9-49f2.8f5e.5a7aab5a5e3d*e229dbe2-3319-4908.a376.3a51ac3a761d</cmdbf:recordId>" + "\n" +
		"        </cmdbf:recordMetadata>" + "\n" +
		"      </cmdbf:record>" + "\n" +
		"      <cmdbf:instanceId>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>federates*6f03286f-34c9-49f2.8f5e.5a7aab5a5e3d*e229dbe2-3319-4908.a376.3a51ac3a761d</cmdbf:localId>" + "\n" +
		"      </cmdbf:instanceId>" + "\n" +
		"    </cmdbf:relationship>" + "\n" +
		"    <cmdbf:relationship>" + "\n" +
		"      <cmdbf:source>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>d6e8d6d6-e83a-4a64.8c22.34284f3422b9</cmdbf:localId>" + "\n" +
		"      </cmdbf:source>" + "\n" +
		"      <cmdbf:target>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>e07e8be0-6160-40ff.bfb0.c23b64c2b0cd</cmdbf:localId>" + "\n" +
		"      </cmdbf:target>" + "\n" +
		"      <cmdbf:record xmlns:cdm='http://www.ibm.com/xmlns/swg/cdm' >" + "\n" +
		"        <definedUsing xmlns='urn:www-collation-com:1.0' xmlns:coll='urn:www-collation-com:1.0' xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:type='coll:com.collation.platform.model.topology.relation.DefinedUsing'/>" + "\n" +
		"        <cmdbf:recordMetadata>" + "\n" +
		"          <cmdbf:recordId>definedUsing*d6e8d6d6-e83a-4a64.8c22.34284f3422b9*e07e8be0-6160-40ff.bfb0.c23b64c2b0cd</cmdbf:recordId>" + "\n" +
		"        </cmdbf:recordMetadata>" + "\n" +
		"      </cmdbf:record>" + "\n" +
		"      <cmdbf:instanceId>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>definedUsing*d6e8d6d6-e83a-4a64.8c22.34284f3422b9*e07e8be0-6160-40ff.bfb0.c23b64c2b0cd</cmdbf:localId>" + "\n" +
		"      </cmdbf:instanceId>" + "\n" +
		"    </cmdbf:relationship>" + "\n" +
		"    <cmdbf:relationship>" + "\n" +
		"      <cmdbf:source>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>d6e8d6d6-e83a-4a64.8c22.34284f3422b9</cmdbf:localId>" + "\n" +
		"      </cmdbf:source>" + "\n" +
		"      <cmdbf:target>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>1f5aab1f-2a32-426f.b264.b6bc3cb664bd</cmdbf:localId>" + "\n" +
		"      </cmdbf:target>" + "\n" +
		"      <cmdbf:record xmlns:cdm='http://www.ibm.com/xmlns/swg/cdm' >" + "\n" +
		"        <federates xmlns='urn:www-collation-com:1.0' xmlns:coll='urn:www-collation-com:1.0' xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:type='coll:com.collation.platform.model.topology.relation.Federates'/>" + "\n" +
		"        <cmdbf:recordMetadata>" + "\n" +
		"          <cmdbf:recordId>federates*d6e8d6d6-e83a-4a64.8c22.34284f3422b9*1f5aab1f-2a32-426f.b264.b6bc3cb664bd</cmdbf:recordId>" + "\n" +
		"        </cmdbf:recordMetadata>" + "\n" +
		"      </cmdbf:record>" + "\n" +
		"      <cmdbf:instanceId>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>federates*d6e8d6d6-e83a-4a64.8c22.34284f3422b9*1f5aab1f-2a32-426f.b264.b6bc3cb664bd</cmdbf:localId>" + "\n" +
		"      </cmdbf:instanceId>" + "\n" +
		"    </cmdbf:relationship>" + "\n" +
		"    <cmdbf:relationship>" + "\n" +
		"      <cmdbf:source>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>e229dbe2-3319-4908.a376.3a51ac3a761d</cmdbf:localId>" + "\n" +
		"      </cmdbf:source>" + "\n" +
		"      <cmdbf:target>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>e07e8be0-6160-40ff.bfb0.c23b64c2b0cd</cmdbf:localId>" + "\n" +
		"      </cmdbf:target>" + "\n" +
		"      <cmdbf:record xmlns:cdm='http://www.ibm.com/xmlns/swg/cdm' >" + "\n" +
		"        <definedUsing xmlns='urn:www-collation-com:1.0' xmlns:coll='urn:www-collation-com:1.0' xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:type='coll:com.collation.platform.model.topology.relation.DefinedUsing'/>" + "\n" +
		"        <cmdbf:recordMetadata>" + "\n" +
		"          <cmdbf:recordId>definedUsing*e229dbe2-3319-4908.a376.3a51ac3a761d*e07e8be0-6160-40ff.bfb0.c23b64c2b0cd</cmdbf:recordId>" + "\n" +
		"        </cmdbf:recordMetadata>" + "\n" +
		"      </cmdbf:record>" + "\n" +
		"      <cmdbf:instanceId>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>definedUsing*e229dbe2-3319-4908.a376.3a51ac3a761d*e07e8be0-6160-40ff.bfb0.c23b64c2b0cd</cmdbf:localId>" + "\n" +
		"      </cmdbf:instanceId>" + "\n" +
		"    </cmdbf:relationship>" + "\n" +
		"    <cmdbf:relationship>" + "\n" +
		"      <cmdbf:source>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>e229dbe2-3319-4908.a376.3a51ac3a761d</cmdbf:localId>" + "\n" +
		"      </cmdbf:source>" + "\n" +
		"      <cmdbf:target>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>1f5aab1f-2a32-426f.b264.b6bc3cb664bd</cmdbf:localId>" + "\n" +
		"      </cmdbf:target>" + "\n" +
		"      <cmdbf:record xmlns:cdm='http://www.ibm.com/xmlns/swg/cdm' >" + "\n" +
		"        <invokedThrough xmlns='urn:www-collation-com:1.0' xmlns:coll='urn:www-collation-com:1.0' xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:type='coll:com.collation.platform.model.topology.relation.InvokedThrough'/>" + "\n" +
		"        <cmdbf:recordMetadata>" + "\n" +
		"          <cmdbf:recordId>invokedThrough*e229dbe2-3319-4908.a376.3a51ac3a761d*1f5aab1f-2a32-426f.b264.b6bc3cb664bd</cmdbf:recordId>" + "\n" +
		"        </cmdbf:recordMetadata>" + "\n" +
		"      </cmdbf:record>" + "\n" +
		"      <cmdbf:instanceId>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>invokedThrough*e229dbe2-3319-4908.a376.3a51ac3a761d*1f5aab1f-2a32-426f.b264.b6bc3cb664bd</cmdbf:localId>" + "\n" +
		"      </cmdbf:instanceId>" + "\n" +
		"    </cmdbf:relationship>" + "\n" +
		"    <cmdbf:relationship>" + "\n" +
		"      <cmdbf:source>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>1f5aab1f-2a32-426f.b264.b6bc3cb664bd</cmdbf:localId>" + "\n" +
		"      </cmdbf:source>" + "\n" +
		"      <cmdbf:target>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>e07e8be0-6160-40ff.bfb0.c23b64c2b0cd</cmdbf:localId>" + "\n" +
		"      </cmdbf:target>" + "\n" +
		"      <cmdbf:record xmlns:cdm='http://www.ibm.com/xmlns/swg/cdm' >" + "\n" +
		"        <definedUsing xmlns='urn:www-collation-com:1.0' xmlns:coll='urn:www-collation-com:1.0' xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:type='coll:com.collation.platform.model.topology.relation.DefinedUsing'/>" + "\n" +
		"        <cmdbf:recordMetadata>" + "\n" +
		"          <cmdbf:recordId>definedUsing*1f5aab1f-2a32-426f.b264.b6bc3cb664bd*e07e8be0-6160-40ff.bfb0.c23b64c2b0cd</cmdbf:recordId>" + "\n" +
		"        </cmdbf:recordMetadata>" + "\n" +
		"      </cmdbf:record>" + "\n" +
		"      <cmdbf:instanceId>" + "\n" +
		"        <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"        <cmdbf:localId>definedUsing*1f5aab1f-2a32-426f.b264.b6bc3cb664bd*e07e8be0-6160-40ff.bfb0.c23b64c2b0cd</cmdbf:localId>" + "\n" +
		"      </cmdbf:instanceId>" + "\n" +
		"    </cmdbf:relationship>" + "\n" +
		"  </cmdbf:relationshipList>" + "\n" +
		"</cmdbf:registerRequest>" + "\n";

	public static final String deregisterRequest =
		"<cmdbf:deregisterRequest xmlns:cmdbf='http://cmdbf.org/schema/1-0-0/datamodel'>" + "\n" +
		"  <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"  <cmdbf:itemIdList>" + "\n" +
		"    <cmdbf:instanceId>" + "\n" +
		"      <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"      <cmdbf:localId>12bfe012-bced-4db6.b3fa.aaa233aafa75</cmdbf:localId>" + "\n" +
		"    </cmdbf:instanceId>" + "\n" +
		"    <cmdbf:instanceId>" + "\n" +
		"      <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"      <cmdbf:localId>15ba6c15-8ccf-4faf.ab1f.12d5d5121f61</cmdbf:localId>" + "\n" +
		"    </cmdbf:instanceId>" + "\n" +
		"    <cmdbf:instanceId>" + "\n" +
		"      <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"      <cmdbf:localId>86f4b586-cf12-42ee.8ef0.64920b64f025</cmdbf:localId>" + "\n" +
		"    </cmdbf:instanceId>" + "\n" +
		"    <cmdbf:instanceId>" + "\n" +
		"      <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"      <cmdbf:localId>80a44b80-0af7-4783.8993.e10dcbe19370</cmdbf:localId>" + "\n" +
		"    </cmdbf:instanceId>" + "\n" +
		"    <cmdbf:instanceId>" + "\n" +
		"      <cmdbf:mdrId>http://IBM-2C286B013BA.austin.ibm.com:9080/mdrr/wsrr</cmdbf:mdrId>" + "\n" +
		"      <cmdbf:localId>5d6ef75d-4512-4288.91e5.fff9e5ffe595</cmdbf:localId>" + "\n" +
		"    </cmdbf:instanceId>" + "\n" +
		"  </cmdbf:itemIdList>" + "\n" +
		"</cmdbf:deregisterRequest>" + "\n";
	
	// run RegistrationService with sample input, print response
	public static void main(String[] args) throws Exception {
		RegistrationService registrationService = new RegistrationService();
		
		printSource("register request:", registrationService.invoke(new StreamSource(new StringReader(registerRequest))));
		printSource("deregister request:", registrationService.invoke(new StreamSource(new StringReader(deregisterRequest))));
	}
	
	public static void printSource(String header, Source source) throws Exception {
		Transformer transformer = TransformerFactory.newInstance().newTransformer();
		ByteArrayOutputStream byteArrayOutputStream = new ByteArrayOutputStream();
		transformer.transform(source, new StreamResult(byteArrayOutputStream));
		System.out.println("\n" + header);
		System.out.println(byteArrayOutputStream.toString());
	}

}